<template>
  <div class="app-activity">
    <el-col type="flex" :span="5">
      <div class="icons-container">
        <svg-icon :icon-class="activity.activity_name + '-app'" />
      </div>
    </el-col>
    <el-col type="flex" :span="19">
      <div class="app-activity__title">{{ activity.activity_name }}</div>
      <!-- <div class="detail-link app-activity__link">
        <a href="#" @click="$router.go(0)">
          Lihat
          <svg-icon icon-class="inset-active" />
        </a>
      </div>-->
      <transition appear>
        <el-progress :text-inside="true" :stroke-width="35" :percentage="parseFloat(percentage)"></el-progress>
      </transition>
      <div class="farmer-count farmer-count--percent">{{percentage}} %</div>
      <div class="farmer-count farmer-count--decimal">
        {{ activity.count }}
        <svg-icon icon-class="people-dark-green" />
      </div>
    </el-col>
  </div>
</template>

<script>
require('../../../theme/RitxChart');

export default {
  props: {
    percentage: {
      type: String,
      required: true
    },
    activity: {
      type: Object,
      required: true
    }
  }
};
</script>
<style rel="stylesheet/scss" lang="scss" scoped>
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';

.app-activity {
  display: flex;
  flex-wrap: wrap;
  border-bottom: 1px solid $ritx-light-grey-3;
  padding-bottom: 16px;
  margin-bottom: 20px;

  &__title {
    width: 60%;
    display: inline-block;
    margin-bottom: 12px;
    text-transform: capitalize;
  }
  &__link {
    width: 38%;
    text-align: right;
    display: inline-block;
  }
}
.icons-container {
  background-color: $ritx-light-green;
  padding: 10px;
  display: inline-block;
  margin-bottom: 10px;
  margin-right: 10px;
  .svg-icon {
    width: 25px;
    height: 25px;
  }
}

.farmer-count {
  display: inline-block;
  color: $ritx-dark-green;
  font-weight: 700;
  margin-top: 10px;
  &--decimal {
    float: right;
  }
}

.detail-link {
  color: $ritx-orange;
  font-weight: 700;
}
</style>
